aboutsummaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2022-02-15 21:52:40 +0100
committerdec05eba <dec05eba@protonmail.com>2022-02-16 02:07:21 +0100
commit2030684b16004a4f6c60f499584366ae5ad57bc9 (patch)
treed22d30f8f41b05f75999369c05a6654fe87e5581 /build.sh
parent4efce988240473a84a19dc2d378289b875d99a9e (diff)
Finish video player
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/build.sh b/build.sh
index 1a23f0b..b383e1e 100755
--- a/build.sh
+++ b/build.sh
@@ -1,8 +1,10 @@
#!/bin/sh -e
+[ $# -ne 1 ] && echo "usage: build.sh debug|release" && exit 1
+
script_dir=$(dirname "$0")
cd "$script_dir"
-sibs build --release video_player
-sibs build --release
+sibs build --"$1" video_player
+sibs build --"$1"
echo "Successfully built the video player and QuickMedia"